Get the current value

- « IteratorIterator::__construct

- IteratorIterator::getInnerIterator »

- PHP Manual
- IteratorIterator
- Get the current value

# IteratorIterator::current

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

IteratorIterator::current — Get the current value

### Description

public IteratorIterator::current(): mixed

Get the value of the current element.

### Parameters

This function has no parameters.

### Return Values

The value of the current element.

### See Also

- IteratorIterator::key() - Get the key of the current element